```toml
[advisory]
id = "RUSTSEC-2025-0027"
package = "mp3-metadata"
date = "2025-04-28"
url = "https://github.com/GuillaumeGomez/mp3-metadata/issues/36"
informational = "unsound"
categories = ["denial-of-service"]

[affected]
functions = {"mp3_metadata::read_from_slice" = ["< 0.4.0"]}

[versions]
patched = [">= 0.4.0"]
```

# Panic in mp3-metadata due to the lack of bounds checking

The `get_id3()` methods used by `mp3_metadata::read_from_slice()` does not perform adequate bounds
checking when recreating the tag due to the use of desynchronization.

Fixed in [Fix index error](https://github.com/GuillaumeGomez/mp3-metadata/pull/37), released as
part of 0.4.0.
