```toml
[advisory]
id = "RUSTSEC-2025-0030"
package = "totally-safe-transmute"
date = "2025-02-10"
url = "https://github.com/ben0x539/totally-safe-transmute"
categories = ["memory-corruption"]
informational = "unsound"
keywords = ["soundness-hole"]

[versions]
patched = []
unaffected = []
```

# totally-safe-transmute allows transmuting any type to any other type in safe Rust

This crate is a toy and should never be used.

It showcases a known soundness issue (https://github.com/rust-lang/rust/issues/32670) that will never get fixed. In short, Linux provides a file called `/proc/self/mem` which can be used by a program to modify its own memory. This library modifies an enum variant number by accessing its own memory as a file to effectively transmute a variable.

See also <https://doc.rust-lang.org/std/os/unix/io/index.html#procselfmem-and-similar-os-features>
